Get organization
curl --request GET \
--url https://automate.ax/api/v1/organizations/{organizationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://automate.ax/api/v1/organizations/{organizationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://automate.ax/api/v1/organizations/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"metadata": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"role": "member",
"memberCount": 123,
"pendingInvitationCount": 123,
"projectCount": 123,
"activeSubscription": {
"id": "<string>",
"plan": "<string>",
"status": "<string>",
"periodEnd": "2023-11-07T05:31:56Z",
"cancelAtPeriodEnd": true
},
"executionRetentionDays": 0,
"plan": "free",
"limits": {
"aiSpendUsd": 123,
"automationRuntimeMinutes": 123,
"emailSends": 123,
"executionRetentionDays": 0,
"projects": 123,
"seats": 123,
"webScrapingMinutes": 123
},
"usage": {
"aiSpendUsd": 123,
"automationRuntimeMs": 123,
"emailSends": 123,
"webScrapingMs": 123
},
"members": [
{
"id": "<string>",
"userId": "<string>",
"role": "member",
"createdAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"name": "<string>",
"image": "<string>"
}
],
"invitations": [
{
"id": "<string>",
"email": "jsmith@example.com",
"role": "member",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"projects": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Organizations
Get organization
Returns organization details, members, invitations, projects, plan, and usage.
GET
/
organizations
/
{organizationId}
Get organization
Authorizations
Automate.ax user session bearer token.
Path Parameters
Minimum string length:
1Response
200 - application/json
OK
Available options:
member, admin Show child attributes
Show child attributes
Required range:
-9007199254740991 < x <= 9007199254740991Available options:
free, pro, enterprise Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes